package discovery

type Ports map[string]string

type Host struct {
	// UUID is the host registration's UUID
	UUID string `json:"uuid"`
	// Hostname is the primary hostname or ip of the host.
	Hostname string `json:"hostname"`
	// PrivateHostname is the private/local network hostname or ip of the host.
	PrivateHostname string `json:"private_hostname,omitempty"`
	// Ports defines which ports the services on the host use.
	Ports Ports `json:"ports"`
}
